Bug 38484 - Incorrect loading of ODF file
Summary: Incorrect loading of ODF file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ODF-import
  Show dependency treegraph
 
Reported: 2011-06-19 22:12 UTC by Andreas J Guelzow
Modified: 2018-06-05 02:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (4.94 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-06-19 22:12 UTC, Andreas J Guelzow
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas J Guelzow 2011-06-19 22:12:32 UTC
Created attachment 48176 [details]
sample file

According to ODF 1.2, the <style:header> element has a style:display attribute specifying whether the header or footer is displayed or not. The default value for this attribute is true. (See ODF 1.2 Part 1, 19.471)

The attached file has
-------------------------------------------------
    <style:master-page style:name="tamp-0x899f740" style:page-layout-name="pl-default">
      <style:header>
        <style:region-left><text:p><text:span>Page </text:span><text:page-number style:num-format="1"/></text:p>        </style:region-left>
        <style:region-center><text:p><text:sheet-name/></text:p>        </style:region-center>
        <style:region-right><text:p><text:span>Date: </text:span><text:date style:data-style-name="ND.0"/></text:p>        </style:region-right>
      </style:header>
      <style:footer>
        <style:region-left><text:p><text:expression text:display="formula" text:formula="of:=[.$A$1]"/></text:p>        </style:region-left>
        <style:region-center><text:p><text:span>Page </text:span><text:page-number style:num-format="1"/><text:span> of </text:span><text:page-count style:num-format="1"/></text:p>        </style:region-center>
        <style:region-right><text:p><text:file-name text:display="name-and-extension"/></text:p>        </style:region-right>
      </style:footer>
    </style:master-page>
-------------------------------------------------
and although this is read by LibreOffice calc the header and footer are initially hidden.
Comment 1 Björn Michaelsen 2011-12-23 12:25:14 UTC Comment hidden (obsolete)
Comment 2 Andreas J Guelzow 2011-12-23 13:04:13 UTC
I will not waste my time with checking whether this is still true in some recent unreleased version. I filed this report as a service to the LibreOffice user community. I am of course _not_ using LO myself. So if you don't care about these bugs, feel free to close this report.
Comment 3 Rainer Bielefeld Retired 2012-01-08 04:13:58 UTC
Status of this bug report has been modified wrongly by a bulk change. 
No additional info is required, but someone with ODF knowledge to confirm reporter's complaint.
Comment 4 sasha.libreoffice 2012-04-11 03:16:32 UTC
Thanks for bugreport

http://odf-validator.rhcloud.com/ complains in this file only about this:
unexpected attribute "gnm:GnmHAlign"
So, nothing about header and footer. So, IMHO problem not in attached file.
msOffice 2007 on Windows 7 opens this file with header and footer initially.
Attached file created in gnumeric/1.10.17. So, we can do some additional experiments with Gnumeric when needed.
Comment 5 Andreas J Guelzow 2012-05-15 14:23:39 UTC
Regarding comment #4: 
http://odf-validator.rhcloud.com/ complains in this file only about
unexpected attribute "gnm:GnmHAlign"
only for OASIS ODF 1.2 (conforming), not for
OASIS ODF 1.2 (extended conforming).

OASIS ODF 1.2 allows for foreign attributes and foreign elements in the extended conforming class.
Comment 6 QA Administrators 2015-01-05 17:52:35 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-01-29 10:30:22 UTC
Confirmed.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 8 QA Administrators 2016-02-21 08:38:14 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2017-03-06 16:11:29 UTC Comment hidden (obsolete)
Comment 10 Regina Henschel 2017-06-04 18:00:52 UTC
Neither header nor footer enabled in Version: 5.5.0.0.alpha0+
Build ID: b56d1e294d838d4b3d0f237c81325a0d1a1cff83
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-05-26_06:14:42
Locale: de-DE (de_DE); Calc: group
Comment 11 QA Administrators 2018-06-05 02:38:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug